std::bad_alloc Class Reference
Diagnostics » Exceptions

`#include <new>`

Inheritance diagram for std::bad_alloc:
[legend]

## Public Member Functions

| bad_alloc (const bad_alloc &)=default
bad_alloc & | operator= (const bad_alloc &)=default
virtual const char * | what () const throw ()

## Detailed Description

Exception possibly thrown by `new`.

`bad_alloc` (or classes derived from it) is used to report allocation errors from the throwing forms of `new`.

Definition at line 55 of file new.

## Constructor & Destructor Documentation

## bad_alloc()

std::bad_alloc::bad_alloc | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 58 of file new.

## Member Function Documentation

## what()

virtual const char * std::bad_alloc::what | ( |  | ) | const
throw | ( |
| ) |  |

virtual

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- new